{
  "type": "palladium:compound",
  "layers": [
    {
      "type": "geckolib:default",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/ult_arburian_pelarota.geo.json",
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          }
        }
      },
      "texture": {
        "base": "omni_evo:textures/models/ultimate_aliens/alburian_pelarota_ult/arburian_pelarota_ultimate.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_1",
            "filter": "#ffd95c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_2",
            "filter": "#f8c144",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_3",
            "filter": "#eba424",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_4",
            "filter": "#df8c13",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_5",
            "filter": "#ce7006",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_1",
            "filter": "#3a3333",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_2",
            "filter": "#2c2828",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_3",
            "filter": "#232020",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_4",
            "filter": "#171515",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_5",
            "filter": "#000000",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_1",
            "filter": "#fdfcf9",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_2",
            "filter": "#f5f2e4",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_3",
            "filter": "#eee4d1",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_4",
            "filter": "#e4d0b7",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_5",
            "filter": "#dcbea2",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_1",
            "filter": "#c80f12",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_2",
            "filter": "#af071c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_3",
            "filter": "#920920",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_4",
            "filter": "#7c0525",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_5",
            "filter": "#6e0721",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_1",
            "filter": "#ec822a",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_2",
            "filter": "#d86d24",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_3",
            "filter": "#c6571e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_4",
            "filter": "#b24519",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_5",
            "filter": "#a53614",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_1",
            "filter": "#ffdf7c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_2",
            "filter": "#f4cb4b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_3",
            "filter": "#e2b741",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_4",
            "filter": "#cf9a30",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_5",
            "filter": "#c2852a",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_1",
            "filter": "#ace53b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_2",
            "filter": "#83d41c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_3",
            "filter": "#6bbf17",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_4",
            "filter": "#4ca80f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_5",
            "filter": "#35900b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_1",
            "filter": "#63862e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_2",
            "filter": "#4a721f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_3",
            "filter": "#325913",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_4",
            "filter": "#23450b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_5",
            "filter": "#143106",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_1",
            "filter": "#31a8b1",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_2",
            "filter": "#238995",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_3",
            "filter": "#1c7286",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_4",
            "filter": "#14576f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_5",
            "filter": "#0d435a",
            "ignore_blank": true
          }
        ],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
          "SKIN_PROTO_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_1"
          },
          "SKIN_PROTO_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_2"
          },
          "SKIN_PROTO_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_3"
          },
          "SKIN_PROTO_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_4"
          },
          "SKIN_PROTO_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_5"
          },
          "SKIN_PROTO_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_1"
          },
          "SKIN_PROTO_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_2"
          },
          "SKIN_PROTO_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_3"
          },
          "SKIN_PROTO_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_4"
          },
          "SKIN_PROTO_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_5"
          },
          "SKIN_PROTO_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_1"
          },
          "SKIN_PROTO_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_2"
          },
          "SKIN_PROTO_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_3"
          },
          "SKIN_PROTO_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_4"
          },
          "SKIN_PROTO_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_5"
          },
          "SKIN_10K_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_1"
          },
          "SKIN_10K_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_2"
          },
          "SKIN_10K_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_3"
          },
          "SKIN_10K_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_4"
          },
          "SKIN_10K_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_5"
          },
          "SKIN_10K_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_1"
          },
          "SKIN_10K_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_2"
          },
          "SKIN_10K_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_3"
          },
          "SKIN_10K_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_4"
          },
          "SKIN_10K_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_5"
          },
          "SKIN_10K_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_1"
          },
          "SKIN_10K_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_2"
          },
          "SKIN_10K_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_3"
          },
          "SKIN_10K_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_4"
          },
          "SKIN_10K_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_5"
          },
          "SKIN_DEFAULT_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_1"
          },
          "SKIN_DEFAULT_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_2"
          },
          "SKIN_DEFAULT_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_3"
          },
          "SKIN_DEFAULT_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_4"
          },
          "SKIN_DEFAULT_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_5"
          },
          "SKIN_DEFAULT_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_1"
          },
          "SKIN_DEFAULT_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_2"
          },
          "SKIN_DEFAULT_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_3"
          },
          "SKIN_DEFAULT_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_4"
          },
          "SKIN_DEFAULT_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_5"
          },
          "SKIN_DEFAULT_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_1"
          },
          "SKIN_DEFAULT_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_2"
          },
          "SKIN_DEFAULT_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_3"
          },
          "SKIN_DEFAULT_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_4"
          },
          "SKIN_DEFAULT_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_5"
          }
        }
      },
      "animation_file": "omni_evo:animations/ult_cannonbolt.animation.json",
      "animation_controller": [
        {
          "name": "ball_form",
          "transition_tick_time": 0,
          "triggers": {
            "ball_in": "animation.cannonbolt.ball_in",
            "ball_out": "animation.cannonbolt.ball_out"
          }
        }
      ],
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 0,
          "max": 12
        }
      ]
    },
    {
      "type": "geckolib:default",
      "render_type": "glow",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/ult_arburian_pelarota.geo.json",
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/aliens/alien_11/arburian_pelarota_glow_#UNIFORM.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_PROTO_1",
            "filter": "#f8c144",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_PROTO_2",
            "filter": "#df8c13",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_10K_1",
            "filter": "#ff0000",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_10K_2",
            "filter": "#c80808",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_1",
            "filter": "#b3ff40",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_2",
            "filter": "#8ed721",
            "ignore_blank": true
          }
        ],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
          "GLOW_PROTO_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_glowcolor_1_color_1"
          },
          "GLOW_PROTO_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_glowcolor_1_color_2"
          },
          "GLOW_10K_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_glowcolor_1_color_1"
          },
          "GLOW_10K_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_glowcolor_1_color_2"
          },
          "GLOW_DEFAULT_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_glowcolor_1_color_1"
          },
          "GLOW_DEFAULT_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_glowcolor_1_color_2"
          }
        }
      },
      "animation_file": "omni_evo:animations/ult_cannonbolt.animation.json",
      "animation_controller": [
        {
          "name": "ball_form",
          "transition_tick_time": 0,
          "triggers": {
            "ball_in": "animation.cannonbolt.ball_in",
            "ball_out": "animation.cannonbolt.ball_out"
          }
        }
      ],
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 0,
          "max": 12
        }
      ]
    },
        {
      "type": "geckolib:default",
      "model": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/arburian_pelarota_ball.geo.json",
      "texture": "omni_evo:textures/models/ultimate_aliens/alburian_pelarota_ult/arburian_pelarota_ultimate.png",
            "animation_file": "omni_evo:animations/ult_cannonbolt.animation.json",
      "animation_controller": [
        {
          "name": "ball_form",
          "transition_tick_time": 0,
          "animation": "animation.cannonbolt.roll"
        }
      ],
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 12,
          "max": 15
        },
              {
                "type": "palladium:is_moving"
              }
      ]
    },
    {
      "type": "geckolib:default",
      "model": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/arburian_pelarota_ball.geo.json",
      "texture": {
        "base": "omni_evo:textures/models/ultimate_aliens/alburian_pelarota_ult/arburian_pelarota_ultimate.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_1",
            "filter": "#ffd95c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_2",
            "filter": "#f8c144",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_3",
            "filter": "#eba424",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_4",
            "filter": "#df8c13",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_5",
            "filter": "#ce7006",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_1",
            "filter": "#3a3333",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_2",
            "filter": "#2c2828",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_3",
            "filter": "#232020",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_4",
            "filter": "#171515",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P2_5",
            "filter": "#000000",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_1",
            "filter": "#fdfcf9",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_2",
            "filter": "#f5f2e4",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_3",
            "filter": "#eee4d1",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_4",
            "filter": "#e4d0b7",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_PROTO_P3_5",
            "filter": "#dcbea2",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_1",
            "filter": "#c80f12",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_2",
            "filter": "#af071c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_3",
            "filter": "#920920",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_4",
            "filter": "#7c0525",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_5",
            "filter": "#6e0721",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_1",
            "filter": "#ec822a",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_2",
            "filter": "#d86d24",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_3",
            "filter": "#c6571e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_4",
            "filter": "#b24519",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P2_5",
            "filter": "#a53614",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_1",
            "filter": "#ffdf7c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_2",
            "filter": "#f4cb4b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_3",
            "filter": "#e2b741",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_4",
            "filter": "#cf9a30",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_10K_P3_5",
            "filter": "#c2852a",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_1",
            "filter": "#ace53b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_2",
            "filter": "#83d41c",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_3",
            "filter": "#6bbf17",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_4",
            "filter": "#4ca80f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_5",
            "filter": "#35900b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_1",
            "filter": "#63862e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_2",
            "filter": "#4a721f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_3",
            "filter": "#325913",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_4",
            "filter": "#23450b",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P2_5",
            "filter": "#143106",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_1",
            "filter": "#31a8b1",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_2",
            "filter": "#238995",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_3",
            "filter": "#1c7286",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_4",
            "filter": "#14576f",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##SKIN_DEFAULT_P3_5",
            "filter": "#0d435a",
            "ignore_blank": true
          }
        ],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
          "SKIN_PROTO_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_1"
          },
          "SKIN_PROTO_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_2"
          },
          "SKIN_PROTO_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_3"
          },
          "SKIN_PROTO_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_4"
          },
          "SKIN_PROTO_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_1_color_5"
          },
          "SKIN_PROTO_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_1"
          },
          "SKIN_PROTO_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_2"
          },
          "SKIN_PROTO_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_3"
          },
          "SKIN_PROTO_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_4"
          },
          "SKIN_PROTO_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_2_color_5"
          },
          "SKIN_PROTO_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_1"
          },
          "SKIN_PROTO_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_2"
          },
          "SKIN_PROTO_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_3"
          },
          "SKIN_PROTO_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_4"
          },
          "SKIN_PROTO_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_skincolor_palette_3_color_5"
          },
          "SKIN_10K_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_1"
          },
          "SKIN_10K_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_2"
          },
          "SKIN_10K_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_3"
          },
          "SKIN_10K_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_4"
          },
          "SKIN_10K_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_1_color_5"
          },
          "SKIN_10K_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_1"
          },
          "SKIN_10K_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_2"
          },
          "SKIN_10K_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_3"
          },
          "SKIN_10K_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_4"
          },
          "SKIN_10K_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_2_color_5"
          },
          "SKIN_10K_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_1"
          },
          "SKIN_10K_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_2"
          },
          "SKIN_10K_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_3"
          },
          "SKIN_10K_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_4"
          },
          "SKIN_10K_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_skincolor_palette_3_color_5"
          },
          "SKIN_DEFAULT_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_1"
          },
          "SKIN_DEFAULT_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_2"
          },
          "SKIN_DEFAULT_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_3"
          },
          "SKIN_DEFAULT_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_4"
          },
          "SKIN_DEFAULT_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_1_color_5"
          },
          "SKIN_DEFAULT_P2_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_1"
          },
          "SKIN_DEFAULT_P2_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_2"
          },
          "SKIN_DEFAULT_P2_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_3"
          },
          "SKIN_DEFAULT_P2_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_4"
          },
          "SKIN_DEFAULT_P2_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_2_color_5"
          },
          "SKIN_DEFAULT_P3_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_1"
          },
          "SKIN_DEFAULT_P3_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_2"
          },
          "SKIN_DEFAULT_P3_3": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_3"
          },
          "SKIN_DEFAULT_P3_4": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_4"
          },
          "SKIN_DEFAULT_P3_5": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_skincolor_palette_3_color_5"
          }
        }
      },
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 12,
          "max": 15
        },
                  {
            "type": "palladium:not",
            "conditions": [
              {
                "type": "palladium:is_moving"
              }
            ]
          }
      ]
    },
    {
      "type": "geckolib:default",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/ult_badge.geo.json",
         "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/badge/badge_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_side/core_side_#Z.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_top/core_top_#Y.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_inner/dial_inner_#X.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_outer/dial_outer_#W.png"
          }
        ],
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "Z": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreSide"
          },
          "Y": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreTop"
          },
          "X": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialInner"
          },
          "W": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialOuter"
          }
        }
      },
      "animation_file": "omni_evo:animations/ult_cannonbolt.animation.json",
      "animation_controller": [
        {
          "name": "ball_form",
          "transition_tick_time": 0,
          "triggers": {
            "ball_in": "animation.cannonbolt.ball_in",
            "ball_out": "animation.cannonbolt.ball_out"
          }
        }
      ],
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 0,
          "max": 12
        }
      ]
    },
    {
      "type": "geckolib:default",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_arburian_pelarota/ult_badge.geo.json",
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "render_type": "glow",
      "texture": {
        "base": "alienevo:textures/models/badge/badge_glow_#WATCHSTATE_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_1",
            "filter": "#ffffff",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_2",
            "filter": "#eaeaea",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_3",
            "filter": "#cfcfdd",
            "ignore_blank": true
          }
        ],
        "variables": {
          "WATCHSTATE": {
            "type": "palladium:string_property",
            "property": "watch_state"
          },
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "GLOW_1": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_1"
          },
          "GLOW_2": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_2"
          },
          "GLOW_3": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_3"
          }
        }
      },
      "animation_file": "omni_evo:animations/ult_cannonbolt.animation.json",
      "animation_controller": [
        {
          "name": "ball_form",
          "transition_tick_time": 0,
          "triggers": {
            "ball_in": "animation.cannonbolt.ball_in",
            "ball_out": "animation.cannonbolt.ball_out"
          }
        }
      ],
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "omni_evo_ultimates:ultimate_arburian_pelarota",
          "ability": "ball_pivot",
          "property": "value",
          "min": 0,
          "max": 12
        }
      ]
    }
  ]
}